## 第三方推送微信支付成功的订单数据

> 接收微信支付成交后的数据。此接口提交数据时需要签名。
- 2016-12-01 增加公司标识字段


## 请求

> **URI**
	
```
   /wxsales/push/one/v1  	POST    charset=UTF-8
```

> **参数**
	
```
	/** 微信的交易流水号 */
	private String trade_no;        【不空】
	/** 销售员手机号 */
	private String phone;           【不空】
	/** 消费金额 */
	private float total_fee;        【不空】
	/** 交易时间 */
	private String trade_time;      【不空】
	/** 公司标识 */
	private String company_id;      【不空】
	/** 公司名称 */
	private String company;        【不空】
	/** 参数签名 签名规则见下方，规则同微信 */
	private String sign;           【不空】
```

> **签名规则**

1. 参数按照参数名ASCII码从小到大排序（字典序），使用URL键值对的格式（即`param1=value1&param2=value2…`）拼接成字符串得到stringA.
2. 拼接加密密钥 `stringA&key=192006250b4c09247ec02edce69f6a2d`得到stringB
3. 对第2步的结果进行MD5加密 `MD5(stringB).toUpperCase()`得出sign的值。
4. sign参数不参与签名

> **提交**

将参数集以JSON字符串的格式POST到服务器端。如：
```json
{"trade_no":"222222202020202020202","phone":"18877677838","total_fee":39.60,"trade_time":"2016-12-01 12:30:33","company_id":"12345678","company":"米其林餐厅","sign":"AED956A309FD94A9D6514CDBBF9B100B"}
```

## 响应

> 返回字符串

```

	响应值：SUCCESS	表示推送请求成功受理。
	
    响应值：FAIL    最后处理不成功。
    
	其它响应值，表示受校验限制或参数不正确。
	
```