package com.shanpin.sales.wap.module.base;

import java.util.concurrent.TimeUnit;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import com.google.common.cache.Cache;
import com.google.common.cache.CacheBuilder;
import com.shanpin.sales.wap.module.base.model.SmsTime;

/**
 * 缓存服务，统一管理类，以方便以后更换成独立缓存
 * @author jahe.lai
 *
 */
@Service
public class CacheService {

	private Logger log = LoggerFactory.getLogger(CacheService.class);
	
	//////////////////////////////////////////// SMS ////////////////////
	/** 先缓存用户登录标识 */
	private final Cache<String, SmsTime> SMS = CacheBuilder.newBuilder()
			.expireAfterWrite(5, TimeUnit.MINUTES)
			.build();
	
	
	public boolean putSMS(String phone, SmsTime st) {
		SMS.put(phone, st);
		return true;
	}
	
	public SmsTime getSMS(String phone) {
		try {
			SmsTime st = SMS.getIfPresent(phone);
			return st;
		} catch (NullPointerException e) {		
			log.warn("not found sms-code:{}", phone);
		}
		return null;
	}
}
