package com.shanpin.sales.wap.module.base;

import java.util.ArrayList;
import java.util.List;
import java.util.UUID;
import java.util.concurrent.TimeUnit;

import javax.annotation.PostConstruct;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import com.esms.MessageData;
import com.esms.PostMsg;
import com.esms.common.entity.Account;
import com.esms.common.entity.GsmsResponse;
import com.esms.common.entity.MTPack;
import com.google.common.cache.Cache;
import com.google.common.cache.CacheBuilder;

@Service
public class SMSService {
	

	@Value("${SMS_USER}")
	private String SMS_USER;
	@Value("${SMS_PSW}")
	private String SMS_PSW;
	@Value("${SMS_IP}")
	private String SMS_IP;
	@Value("${SMS_MT_PORT}")
	private int SMS_MT_PORT;
	@Value("${SMS_MO_PORT}")
	private int SMS_MO_PORT;
	
	
	private Account ac = null;
	
	private PostMsg pm = new PostMsg();
	
	@PostConstruct
	private void init() {
		ac = new Account(SMS_USER, SMS_PSW);
		pm.getCmHost().setHost(SMS_IP, SMS_MT_PORT);//设置网关的IP和port，用于发送信息
		pm.getWsHost().setHost(SMS_IP, SMS_MO_PORT);//设置网关的IP和port，用于获取账号信息、上行、状态报告等等
	}
	
	public GsmsResponse send(String phone, String content) throws Exception {
		MTPack pack = new MTPack();
		pack.setBatchID(UUID.randomUUID());
		pack.setBatchName("我的社保短信通知");
		pack.setMsgType(MTPack.MsgType.SMS);
		pack.setBizType(0);
		pack.setSendType(MTPack.SendType.MASS);
		pack.setDistinctFlag(false);
		/*单发，一号码一内容*/
		List<MessageData> msgs = new ArrayList<MessageData>(2);
		msgs.add(new MessageData(phone, content));
		pack.setMsgs(msgs);
		return pm.post(ac, pack);
	}
	
	
	
	

	private final Cache<String, Integer> COUNTS = CacheBuilder.newBuilder()
			.expireAfterWrite(60, TimeUnit.MINUTES)
			.build();
	
	int add(String phone) {
		Integer c = COUNTS.getIfPresent(phone);
		if (null == c) {
			COUNTS.put(phone, 1);
			return 1;
		}
		int count = c.intValue() + 1;
		COUNTS.put(phone, count);
		return count;
	}
	
}
