package com.shanpin.sales.wap.module.base;

import org.apache.shiro.SecurityUtils;
import org.apache.shiro.authc.AuthenticationException;
import org.apache.shiro.authc.UnknownAccountException;
import org.apache.shiro.subject.Subject;

import com.shanpin.sales.wap.module.user.model.UserBind;
import com.shanpin.sales.wap.module.user.model.UserLogin;
import com.shanpin.sales.wap.shiro.LoginToken;

public abstract class UserLoginController {

	public UserLogin getUserLogin() {
		Subject subject = SecurityUtils.getSubject();
		UserLogin userLogin = (UserLogin)subject.getPrincipal();
		if(userLogin == null) {
			userLogin = new UserLogin();
		}
		return userLogin;
	}
	
	protected UserLogin doSignIn(String openId) {
		Subject subject = SecurityUtils.getSubject();
		LoginToken token = new LoginToken(openId);
		String msg = null;
		try{
			subject.login(token);
		} catch (UnknownAccountException e) {
			msg = "用户账号或者登录密码不正确";
		} catch (AuthenticationException e) {
			msg = "登录认证失败";
		} catch (Exception e) {
			msg = "登录认证失败,未知异常";
		}
		UserLogin userLogin = getUserLogin();
		if(userLogin.getBind() == UserBind.no) {
			msg = "账号或者登录密码不正确";
		}
		userLogin.setMsg(msg);
		return userLogin;
	}
	
	protected UserLogin doSignIn(String phone, String password) {
		Subject subject = SecurityUtils.getSubject();
		LoginToken token = new LoginToken(phone, password);
		String msg = null;
		try{
			subject.login(token);
		} catch (UnknownAccountException e) {
			msg = "账号或者登录密码不正确";
		} catch (AuthenticationException e) {
			msg = "登录认证失败";
		} catch (Exception e) {
			msg = "登录认证失败,未知异常";
		}
		UserLogin userLogin = getUserLogin();
		if(userLogin.getBind() == UserBind.no) {
			msg = "账号或者登录密码不正确";
		}
		userLogin.setMsg(msg);
		return userLogin;
	}
}
