package com.shanpin.sales.wap.module.trade;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.servlet.ModelAndView;

import com.shanpin.core.http.MJsonView;
import com.shanpin.core.status.UStatus;
import com.shanpin.sales.wap.module.base.UserLoginController;
import com.shanpin.sales.wap.module.trade.model.Trade;
import com.shanpin.sales.wap.module.user.UserService;
import com.shanpin.sales.wap.module.user.model.User;
import com.shanpin.sales.wap.module.user.model.UserBind;
import com.shanpin.sales.wap.module.user.model.UserLogin;

@Controller
@RequestMapping("/wap/trade")
public class TradeController extends UserLoginController{
	
	private static final int TRADE_LIMIT = 10;
	
	@Autowired
	private UserService userService;
	@Autowired
	private TradeService tradeService;
	
	/**
	 * 查看奖励列表
	 * @param key
	 * @param offset
	 * @return
	 */
	@RequestMapping(value="/list", method=RequestMethod.GET)
	public ModelAndView toList() {
		ModelAndView mv = new ModelAndView("wap/trade/trade");
		return mv;
	}
	
	@RequestMapping(value="/list", method=RequestMethod.POST)
	public Object list(int direction, long tradeTime) {
		UserLogin userLogin = getUserLogin();
		int uid = userLogin.getUid();
		if (uid < 1) {
			return MJsonView.resp(UStatus.UNLOGIN);
		}
		if(userLogin.getBind() != UserBind.idCard) {
			return MJsonView.resp(UStatus.UNIDENTIFY);
		}
		User u = userService.get(uid);
		List<Trade> tList = tradeService.list(u.getPhone(), direction, tradeTime, TRADE_LIMIT);
		return MJsonView.ok(tList);
	}
}
