package com.shanpin.sales.wap.module.trade;

import java.util.Date;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import com.shanpin.core.utils.JodaUtil;
import com.shanpin.sales.wap.db.AppDbRepository;
import com.shanpin.sales.wap.module.trade.model.Trade;

@Repository
public class TradeDao {

	@Autowired
	private AppDbRepository jdbc;
	
	public List<Trade> list(String phone, int direction, long tradeTime, int limit) {
		String sql = "select a.*, b.company from t_user_trade a, t_company b where a.com_hashId = b.hashId and phone=? and a.trade_time "+(direction == 1 ? ">" : "<")+" ? order by a.trade_time desc limit ?";
		Date qtradeTime = JodaUtil.parse("1990-01-01");
		if(tradeTime > 0) {
			qtradeTime = new Date(tradeTime);
		}
		return jdbc.query(sql, Trade.MAPPER, 
				phone, qtradeTime, limit);
	}
	
	public Trade hasTrade(String phone) {
		String sql = "select a.*, b.company from t_user_trade a, t_company b where a.com_hashId = b.hashId and a.phone=? order by a.trade_time desc limit 1";
		Trade trade = jdbc.queryT(sql, Trade.MAPPER, phone);
		return trade;
	}
	
	public double yesterdayFee(String phone) {
		String sql = "select sum(income) from t_user_trade where phone=? and trade_time>=? and trade_time<=?";
		Date y = JodaUtil.plusDays(JodaUtil.now(), -1);
		Date s = JodaUtil.getStart(y);
		Date e = JodaUtil.getEnd(y);
		return jdbc.queryDouble(sql, phone, s, e);
	}
}
