package com.shanpin.sales.wap.module.trade;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.shanpin.core.utils.DecimalUtil;
import com.shanpin.sales.wap.module.trade.model.Bonus;
import com.shanpin.sales.wap.module.trade.model.Trade;
import com.shanpin.sales.wap.module.user.UserService;
import com.shanpin.sales.wap.module.user.model.User;

@Service
public class TradeService {

	@Autowired
	private UserService userService;
	@Autowired
	private TradeDao tradeDao;
	
	public List<Trade> list(String phone, int direction, long tradeTime, int limit) {
		return tradeDao.list(phone, direction, tradeTime, limit);
	}
	
	public Trade hasTrade(String phone) {
		return tradeDao.hasTrade(phone);
	}
	
	public Bonus bonus(int uid) {
		Bonus b = new Bonus();
		User u = userService.get(uid);
		if(u != null) {
			String phone = u.getPhone();
			double yesterdayFee = tradeDao.yesterdayFee(phone);
			b.setPhone(phone);
			b.setRealName(u.getReal_name());
			b.setTotal(u.getTotal_fee());
			b.setWithdraw(DecimalUtil.sum(u.getApply_fee(), u.getFinish_fee()));
			b.setCur(DecimalUtil.sub(b.getTotal(), b.getWithdraw()));
			b.setYesterday(yesterdayFee);
		}
		return b;
	}
}
