package com.shanpin.sales.wap.module.trade;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.servlet.ModelAndView;

import com.shanpin.core.http.MJsonView;
import com.shanpin.core.status.UStatus;
import com.shanpin.sales.wap.module.base.UserLoginController;
import com.shanpin.sales.wap.module.trade.model.Withdraw;
import com.shanpin.sales.wap.module.user.model.UserBind;
import com.shanpin.sales.wap.module.user.model.UserLogin;

@Controller
@RequestMapping("/wap/withdraw")
public class WithdrawController extends UserLoginController{

	private static final int WITHDRAW_LIMIT = 10;
	
	@Autowired
	private WithdrawService withdrawService;
	
	/**
	 * 查看申请提现列表
	 * @param key
	 * @param offset
	 * @return
	 */
	@RequestMapping(value="/list", method=RequestMethod.GET)
	public ModelAndView toList() {
		ModelAndView mv = new ModelAndView("wap/trade/withdraw");
		return mv;
	}
	
	@RequestMapping(value="/list", method=RequestMethod.POST)
	public Object list(int direction, int wid) {
		UserLogin userLogin = getUserLogin();
		int uid = userLogin.getUid();
		if (uid < 1) {
			return MJsonView.resp(UStatus.UNLOGIN);
		}
		if(userLogin.getBind() != UserBind.idCard) {
			return MJsonView.resp(UStatus.UNIDENTIFY);
		}
		List<Withdraw> wList = withdrawService.list(uid, direction, wid, WITHDRAW_LIMIT);
		return MJsonView.ok(wList);
	}
}
