package com.shanpin.sales.wap.module.user;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import com.shanpin.sales.wap.db.AppDbRepository;
import com.shanpin.sales.wap.module.user.model.User;
import com.shanpin.sales.wap.module.user.model.UserBind;

@Repository
public class UserDao {

	@Autowired
	private AppDbRepository jdbc;
	
	public User get(int uid) {
		String sql = "select * from t_user where uid = ?";
		return jdbc.queryT(sql, User.MAPPER, uid);
	}

	public User getByOpenId(String openId) {
		String sql = "select * from t_user where open_id = ? limit 1"; 
		return jdbc.queryT(sql, User.MAPPER, openId);
	}
	
	public User getByPhone(String phone) {
		String sql = "select * from t_user where phone = ? limit 1";
		return jdbc.queryT(sql, User.MAPPER, phone);
	}
	
	public User verifyAccount(String phone, String password) {
		String sql = "select * from t_user where phone=? limit 1";
		User u = jdbc.queryT(sql, User.MAPPER_ACCOUNT, phone);
		if(u != null) {
			if(!password.equals(u.getPassword())) {
				u = null;
			}
		}
		return u;
	}
	
	public int add(String phone, String password, String openId,
			UserBind bind) {
		String sql = "insert into t_user(`phone`, `password`, `bind`, `open_id`) values (?,?,?,?)";
		return jdbc.insert(sql, "uid", 
				phone, 
				password, 
				bind.getNum(),
				openId);
	}
	
	public boolean bind(int uid, String openId, String password) {
		String sql = "update t_user set open_id=?, password=?, bind=? where uid=?";
		return jdbc.update(sql, 
				openId, password, UserBind.phone.getNum(), 
				uid);
	}
	
	public boolean identify(int uid, String realName, String idCard) {
		String sql = "update t_user set real_name=?, id_card=?, bind=? where uid=?";
		return jdbc.update(sql, 
				realName, idCard, UserBind.idCard.getNum(), 
				uid);
	}

	public boolean findPassword(String phone, String pswd) {
		String sql = "update t_user set password=? where phone=? and bind <> ?";
		return jdbc.update(sql, pswd, phone, UserBind.no.getNum());
	}
	
	public boolean updateAccount(int uid, double applyFee) {
		String sql = "update t_user set apply_fee=apply_fee+? where uid=? and (total_fee - apply_fee - finish_fee) >= ?";
		return jdbc.update(sql, applyFee, uid, applyFee);
	}
	
}
