package com.shanpin.sales.wap.module.user.model;

import java.sql.ResultSet;
import java.sql.SQLException;

import org.springframework.jdbc.core.RowMapper;

//t_user
public class User {
	
	private int uid;
	private String phone;
	private String password;
	private String real_name;
	private String id_card;
	private double total_fee;		//累计收入金额
	private double apply_fee;		//申请提现中金额
	private double finish_fee;		//已申请提现金额
	private UserBind bind;			//用户绑定状态,见UserBind
	private String open_id;
	
	public static RowMapper<User> MAPPER = new RowMapper<User>() {
		@Override
		public User mapRow(ResultSet rs, int rowNum) throws SQLException {
			User u = new User();
			u.setUid(rs.getInt("uid"));
			u.setPhone(rs.getString("phone"));
			u.setPassword("");
			u.setReal_name(rs.getString("real_name"));
			u.setId_card(rs.getString("id_card"));
			u.setTotal_fee(rs.getDouble("total_fee"));
			u.setApply_fee(rs.getDouble("apply_fee"));
			u.setFinish_fee(rs.getDouble("finish_fee"));
			u.setBind(UserBind.of(rs.getInt("bind")));
			u.setOpen_id(rs.getString("open_id"));
			return u;
		}
	};
	
	public static RowMapper<User> MAPPER_ACCOUNT = new RowMapper<User>() {
		@Override
		public User mapRow(ResultSet rs, int rowNum) throws SQLException {
			User u = new User();
			u.setUid(rs.getInt("uid"));
			u.setPhone(rs.getString("phone"));
			u.setPassword(rs.getString("password"));
			u.setBind(UserBind.of(rs.getInt("bind")));
			u.setOpen_id(rs.getString("open_id"));
			return u;
		}
	};
	
	public int getUid() {
		return uid;
	}
	public void setUid(int uid) {
		this.uid = uid;
	}
	public String getPhone() {
		return phone;
	}
	public void setPhone(String phone) {
		this.phone = phone;
	}
	public String getPassword() {
		return password;
	}
	public void setPassword(String password) {
		this.password = password;
	}
	public String getReal_name() {
		return real_name;
	}
	public void setReal_name(String real_name) {
		this.real_name = real_name;
	}
	public String getId_card() {
		return id_card;
	}
	public void setId_card(String id_card) {
		this.id_card = id_card;
	}
	public double getTotal_fee() {
		return total_fee;
	}
	public void setTotal_fee(double total_fee) {
		this.total_fee = total_fee;
	}
	public double getApply_fee() {
		return apply_fee;
	}
	public void setApply_fee(double apply_fee) {
		this.apply_fee = apply_fee;
	}
	public double getFinish_fee() {
		return finish_fee;
	}
	public void setFinish_fee(double finish_fee) {
		this.finish_fee = finish_fee;
	}
	public UserBind getBind() {
		return bind;
	}
	public void setBind(UserBind bind) {
		this.bind = bind;
	}
	public String getOpen_id() {
		return open_id;
	}
	public void setOpen_id(String open_id) {
		this.open_id = open_id;
	}
}