/**
 * 
 */
package com.shanpin.sales.wap.webchat4j.common;

import java.io.IOException;
import java.io.InputStream;
import java.util.Properties;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.shanpin.core.utils.StringUtil;

/**
 * @author ChengNing
 * @date   2014年12月8日
 */
public class Config {
	
	private static Logger logger = LoggerFactory.getLogger(Config.class);
	
	private static final String configFile = "/wechat4j.properties";
	
	private String url;
	private String token;
	private String encodingAESKey;
	private String appid;
	private String appSecret;
	private String accessTokenServer;
	private String jsApiTicketServer;
	private static Config config = new Config();
	
	private Config(){
		Properties p = new Properties();
		InputStream inStream = this.getClass().getResourceAsStream(configFile);
		if(inStream == null){
			logger.error("load wechat4j.properties error, file not found");
			return;
		}
		try {
			p.load(inStream);
			this.url = StringUtil.getNotNullStr(p.getProperty("wechat.url")).trim();
			this.encodingAESKey = StringUtil.getNotNullStr(p.getProperty("wechat.encodingaeskey")).trim();
			this.token = StringUtil.getNotNullStr(p.getProperty("wechat.token")).trim();
			this.appid = StringUtil.getNotNullStr(p.getProperty("wechat.appid")).trim();
			this.appSecret = StringUtil.getNotNullStr(p.getProperty("wechat.appsecret")).trim();
			this.accessTokenServer = StringUtil.getNotNullStr(p.getProperty("wechat.accessToken.server.class")).trim();
			this.jsApiTicketServer = StringUtil.getNotNullStr(p.getProperty("wechat.ticket.jsapi.server.class")).trim();
			inStream.close();
		} catch (IOException e) {
			logger.error("load wechat4j.properties error", e);
		}
		logger.info("load wechat4j.properties");
	}
	
	public static Config instance(){
		return config;
	}
	public String getToken() {
		return token;
	}
	public String getAppid() {
		return appid;
	}
	public String getAppSecret() {
		return appSecret;
	}

	public String getUrl() {
		return url;
	}

	public String getEncodingAESKey() {
		return encodingAESKey;
	}
	
	public String getAccessTokenServer(){
		return accessTokenServer;
	}

	public String getJsApiTicketServer() {
		return jsApiTicketServer;
	}
	
	
}
