package com.shanpin.sales.wap.webchat4j.common;

import java.io.File;

import org.apache.commons.lang3.StringUtils;

import com.alibaba.fastjson.JSONObject;
import com.shanpin.sales.wap.webchat4j.token.TokenProxy;
import com.shanpin.sales.wap.webchat4j.utils.HttpUtils;

/**
 * 图文消息图片url
 * @author eddy
 * @version 1.0 2015-09-08 
 */
public class NewsImage {
	
	private static final String UPLOAD_IMG = "https://api.weixin.qq.com/cgi-bin/media/uploadimg?access_token=";
	private static final String PARAM_FILE = "media";
	private static final String PARAM_URL = "url";
	
	private String url;
	
	public String getUrl() {
		return url;
	}

	/**
	 * 图片上传url
	 * @return
	 */
	private String uploadUrl(){
		return UPLOAD_IMG + TokenProxy.accessToken();
	}
	/**
	 * 图片上传
	 * @param file
	 * @return
	 */
	public String upload(File file){
		String uploadUrl = uploadUrl();
		String result = HttpUtils.postFile(uploadUrl, PARAM_FILE, file);
		parseUploadResult(result);
		if(StringUtils.isNotBlank(this.url))
			return this.url;
		return null;
	}
	
	private void parseUploadResult(String result){
		JSONObject jsonObject = JSONObject.parseObject(result);
		if(jsonObject.containsKey(PARAM_URL)){
			this.url = jsonObject.getString(PARAM_URL);
		}
		else{
			this.url = null;
		}
	}
}
