/**
 * 
 */
package com.shanpin.sales.wap.webchat4j.token;

import java.util.Timer;

import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.shanpin.sales.wap.webchat4j.token.timer.AccessTokenTimer;
import com.shanpin.sales.wap.webchat4j.token.timer.JsApiTicketTimer;


/**
 * Access Token 监听器
 * @author ChengNing
 * @date   2015年1月8日
 */
public class TokenListener implements ServletContextListener{
	
    private static Logger log = LoggerFactory.getLogger(TokenListener.class);
    
	private Timer timer = null;

	@Override
	public void contextInitialized(ServletContextEvent arg0) {
		log.warn("Wechat token listener start...");
		timer = new Timer(true);
		//注册定时任务
		registeAccessTokenTimer();
		//注册jsapi_ticket定时器
		registeJsApiTicketTimer();
	}
	
	@Override
	public void contextDestroyed(ServletContextEvent arg0) {
		log.warn("Wechat token listener stop...");
		timer.cancel();
	}
	
	/**
	 * 注册accessToken定时器
	 */
	private void registeAccessTokenTimer(){
		AccessTokenTimer accessTokenTimer = new AccessTokenTimer();
		timer.schedule(accessTokenTimer, AccessTokenTimer.DELAY, AccessTokenTimer.PERIOD);
		log.info("Wechat register accesstoken timer[delay:{}, period:{}]", 
				AccessTokenTimer.DELAY, AccessTokenTimer.PERIOD);
	}
	
	/**
	 * 注册jsapi_ticket定时器
	 */
	private void registeJsApiTicketTimer(){
		JsApiTicketTimer jsApiTicketTimer = new JsApiTicketTimer();
		timer.schedule(jsApiTicketTimer, JsApiTicketTimer.DELAY,JsApiTicketTimer.PERIOD);
		log.info("Wechat register JsApiTicket timer[delay:{}, period:{}]", 
				JsApiTicketTimer.DELAY, JsApiTicketTimer.PERIOD);
	}
	
}
