/**
 * 
 */
package com.shanpin.sales.wap.webchat4j.utils;



import java.io.File;
import java.io.InputStream;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.shanpin.core.http.HttpClient;


/**
 * @author chengn
 * @date 2014年12月12日
 */
public class HttpUtils {
	
	private static Logger logger = LoggerFactory.getLogger(HttpUtils.class);
	
	public static String post(String url) {
		return post(url, "");
	}
	
	public static String post(String url, String data){
		return httpPost(url, data);
	}
	
	public static String post(String url, InputStream input){
		try {
			return HttpClient.post(url, input);
		} catch (Exception e) {
			logger.error("HttpUtils post {} error", url, e);
		}
		return null;
	}
	
	public static String postFile(String url, File file){
		return postFile(url, null, file);
	}
	
	public static String postFile(String url, String name, File file){
		try {
			/*HttpEntity reqEntity = MultipartEntityBuilder.create().addBinaryBody(name, file).build();
			HttpPost request = HttpPost(url);
			request.body(reqEntity);
			HttpEntity resEntity = request.execute().returnResponse().getEntity();
			return resEntity != null ? EntityUtils.toString(resEntity) : null;*/
		} catch (Exception e) {
			logger.error("HttpUtils post-file {} error", url, e);
		}
		return null;
	}
	
	private static String httpPost(String url, String data) {
		try {
			HttpClient.post(url, data);
		} catch (Exception e) {
			logger.error("HttpUtils post {} error", url, e);
		}
		return null;
	}
	
	
	public static String get(String url){
		return httpGet(url);
	}
	
	public static byte[] getFile(String url){
		try {
			/*HttpGet request = HttpGet(url);
			HttpEntity resEntity = request.execute().returnResponse().getEntity();
			return EntityUtils.toByteArray(resEntity);*/
		} catch (Exception e) {
			logger.error("HttpUtils get-file {} error", url, e);
		}
		return null;
	}
	
	private static String httpGet(String url) {
		try {
			return HttpClient.get(url);
		} catch (Exception e) {
			logger.error("HttpUtils get {} error", url, e);
		}
		return null;
	}
}
