<%@ page language="java" contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8">
	<meta name='viewport' content="width=device-width,initial-scale=1.0,user-scalable=0">
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
	<meta name="renderer" content="webkit" />
	<meta content="yes" name="apple-mobile-web-app-capable">
	<meta content="yes" name="apple-touch-fullscreen">
	<meta name="keywords" content="奖励明细" />
	<meta name="description" content="奖励明细" />
	<title>奖励明细</title>
	<link rel="stylesheet" href="/income/wap/css/base.css">
	<link rel="stylesheet" href="/income/wap/css/main.css">
	<link rel="stylesheet" type="text/css" href="/income/wap/js/plugins/layer/skin/layer.css" />
	<script type="text/javascript" src="/income/wap/js/viewport.js"></script>
</head>
<body>
	<div class="m-box">
		<div id="wrapper" class="wrapper-t">
			<div id="scroller">
				<div id="pullDown">
					<span class="pullDownLabel"></span>
				</div>
				<input type="hidden" id="maxTradeTime" value="0"/>
				<input type="hidden" id="minTradeTime" value="0"/>
				<div id="pullUp">
					<span class="pullUpLabel"></span>
				</div>
			</div>
		</div>
	</div>
	<script type="text/javascript" src="/income/wap/js/jquery.js"></script>
	<script type="text/javascript" src="/income/wap/js/plugins/layer/layer.js"></script>
	<script type="text/javascript" src="/income/wap/js/iscroll.js"></script>
	<script type="text/javascript" src="/income/wap/js/common.js"></script>
	<script type="text/javascript" src="/income/wap/js/JSONSubmit.js"></script>
	<script type="text/javascript" src="/income/wap/js/myScroll.js"></script>
	<script>
		var direction = {DOWN : 1, UP : 2};
		var isLoadingData = false;
		$(function(){
			var msg = "${msg}";
			if (msg) {
	           layer.msg(msg);
			}
			
			scrollLoad(init, pullDown, pullUp);
			function init() {
				_loadData(direction.DOWN, $("#maxTradeTime").val(), function(data){
					var len = len=data.length;
					var nextTrade = null;
					for(var i=len-1;i>=0;i--){
						var trade = data[i];
						if(i>0) {
							nextTrade = data[i-1];
						} else {
							nextTrade = null;
						}
						var month = null;
						var m1 = new Date(trade.trade_time).Format("yyyyMM");
						var m2 = (nextTrade == null ? null : new Date(nextTrade.trade_time).Format("yyyyMM"));
						if(m2 == null || m2 != m1) {
							month = new Date(trade.trade_time).Format("yyyyMM");
						}
						var html = _buildHtml(trade, month);
						$("#maxTradeTime").after(html);
						if(i == 0) {
							$("#maxTradeTime").val(trade.trade_time);
						}
						if(i == len-1) {
							$("#minTradeTime").val(trade.trade_time);
						}
					}
				});
			}
			function pullDown() {
				_loadData(direction.DOWN, $("#maxTradeTime").val(), function(data){
					var len = len=data.length;
					var nextTrade = null;
					for(var i=len-1;i>=0;i--){
						var trade = data[i];
						if(i>0) {
							nextTrade = data[i-1];
						} else {
							nextTrade = null;
						}
						var month = null;
						var m1 = new Date(trade.trade_time).Format("yyyyMM");
						var m2 = (nextTrade == null ? null : new Date(nextTrade.trade_time).Format("yyyyMM"));
						if(m2 == null || m2 != m1) {
							month = new Date(trade.trade_time).Format("yyyyMM");
							$("#M_"+month).remove();
						}
						var html = _buildHtml(trade, month);
						$("#maxTradeTime").after(html);
						if(i == 0) {
							$("#maxTradeTime").val(trade.trade_time);
						}
					}
				});
			}
			function pullUp() {
				_loadData(direction.UP, $("#minTradeTime").val(), function(data){
					var len = len=data.length;
					var nextTrade = null;
					for(var i=0;i<len;i++){
						var trade = data[i];
						if(i>0) {
							nextTrade = data[i-1];
						} else {
							nextTrade = null;
						}
						var month = null;
						var m1 = new Date(trade.trade_time).Format("yyyyMM");
						var m2 = (nextTrade == null ? null : new Date(nextTrade.trade_time).Format("yyyyMM"));
						if(m2 == null || m2 != m1) {
							var tmp = new Date(trade.trade_time).Format("yyyyMM");
							if(m2 == null && $("#M_"+tmp).length == 0) {
								month = tmp;
							}
							if(m2 != null && m2 != m1) {
								month = tmp;
							}
						}
						var html = _buildHtml(trade, month);
						$("#minTradeTime").before(html);
						if(i == len-1) {
							$("#minTradeTime").val(trade.trade_time);
						}
					}
				});
			}
			function _buildHtml(trade, month, lastOne) {
				var company = trade.company;
				var income = trade.income;
				var tradeTime = trade.trade_time;
				var html = '';
					if(month) {
						var monthStr = "";
						var m = new Date().Format("yyyyMM");
						if(month == m) {
							monthStr = "本月交易";
						} else {
							monthStr = month+"交易";
						}
						html += '<p class="m-title" id="M_'+month+'">'+monthStr+'</p>';
					}
					html +='<div class="m-list-box'+(lastOne?'m-list-end':'')+'">';
					html +='	<div class="m-list-left">';
					html +='		<span class="m-list-left-top font-16">'+company+'</span>';
					html +='		<span class="m-list-left-bottom">'+new Date(tradeTime).Format("yyyy-MM-dd hh:mm:ss")+'</span>';
					html +='	</div>';
					html +='	<span class="m-list-right">+'+income.toFixed(2)+'</span>';
					html +='</div>';
				return html;
			}
			function _loadData(direction, tradeTime, callback) {
				var url = "/income/wap/trade/list"
				var json = {
					direction : direction,
					tradeTime : tradeTime
				};
				if(isLoadingData) {
					return;
				}
				isLoadingData = true;
				JSONSubmit(url, function(data){
					if(data.code == 200) {
						if(callback) {
							callback(data.data);
						}
					} else {
						layer.msg(data.msg);
					}
					setTimeout(function(){
						isLoadingData = false;
					}, 1000);
				}, "json", json, false);
			}
		});
	</script>
</body>
</html>