<%@ page language="java" contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8">
	<meta name='viewport' content="width=device-width,initial-scale=1.0,user-scalable=0">
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
	<meta name="renderer" content="webkit" />
	<meta content="yes" name="apple-mobile-web-app-capable">
	<meta content="yes" name="apple-touch-fullscreen">
	<meta name="keywords" content="提现明细" />
	<meta name="description" content="提现明细" />
	<title>提现明细</title>
	<link rel="stylesheet" href="/income/wap/css/base.css">
	<link rel="stylesheet" href="/income/wap/css/main.css">
	<link rel="stylesheet" type="text/css" href="/income/wap/js/plugins/layer/skin/layer.css" />
	<script type="text/javascript" src="/income/wap/js/viewport.js"></script>
</head>
<body>
	<div class="m-box">
		<p class="m-title">提现金额将会在1-2个工作日转到您的微信钱包</p>
		<div id="wrapper" class="wrapper-w">
			<div id="scroller">
				<div id="pullDown">
					<span class="pullDownLabel"></span>
				</div>
				<input type="hidden" id="maxWid" value="0"/>
				<input type="hidden" id="minWid" value="0"/>
				<div id="pullUp">
					<span class="pullUpLabel"></span>
				</div>
			</div>
		</div>
	</div>
	<script type="text/javascript" src="/income/wap/js/jquery.js"></script>
	<script type="text/javascript" src="/income/wap/js/plugins/layer/layer.js"></script>
	<script type="text/javascript" src="/income/wap/js/iscroll.js"></script>
	<script type="text/javascript" src="/income/wap/js/common.js"></script>
	<script type="text/javascript" src="/income/wap/js/JSONSubmit.js"></script>
	<script type="text/javascript" src="/income/wap/js/myScroll.js"></script>
	<script>
		var direction = {DOWN : 1, UP : 2};
		var isLoadingData = false;
		$(function(){
			var msg = "${msg}";
			if (msg) {
	           layer.msg(msg);
			}
			
			scrollLoad(init, pullDown, pullUp);
			function init() {
				_loadData(direction.DOWN, $("#maxWid").val(), function(data){
					var len = len=data.length;
					for(var i=len-1;i>=0;i--){
						var withdraw = data[i];
						var html = _buildHtml(withdraw);
						$("#maxWid").after(html);
						if(i == 0) {
							$("#maxWid").val(withdraw.wid);
						} else if(i == len-1) {
							$("#minWid").val(withdraw.wid);
						}
					}
				});
			}
			function pullDown() {
				_loadData(direction.DOWN, $("#maxWid").val(), function(data){
					var len = len=data.length;
					for(var i=len-1;i>=0;i--){
						var withdraw = data[i];
						var html = _buildHtml(withdraw);
						$("#maxWid").after(html);
						if(i == 0) {
							$("#maxWid").val(withdraw.wid);
						}
					}
				});
			}
			function pullUp() {
				_loadData(direction.UP, $("#minWid").val(), function(data){
					var len = len=data.length;
					for(var i=0;i<len;i++){
						var withdraw = data[i];
						var html = _buildHtml(withdraw);
						$("#minWid").before(html);
						if(i == len-1) {
							$("#minWid").val(withdraw.wid);
						}
					}
				});
			}
			function _buildHtml(withdraw) {
				var applyFee = withdraw.apply_fee;
				var applyTime = withdraw.apply_time;
				var status = withdraw.status;
				var html = '<div class="m-list-box">';
					html+= '	<div class="m-list-left">';
					html+= '	<span class="m-list-left-top">￥ '+applyFee.toFixed(2)+'</span>';
					html+= '	<span class="m-list-left-bottom">'+new Date(applyTime).Format("yyyy-MM-dd hh:mm:ss")+'</span>';
					html+= '</div>';
					html+= '<span class="m-list-right">'+(status == "dealing" ? "提现中" : status == "success" ? "已到账" : "")+'</span>';
					html+= '</div>';
				return html;
			}
			function _loadData(direction, wid, callback) {
				var url = "/income/wap/withdraw/list"
				var json = {
					direction : direction,
					wid : wid
				};
				if(isLoadingData) {
					return;
				}
				isLoadingData = true;
				JSONSubmit(url, function(data){
					if(data.code == 200) {
						if(callback) {
							callback(data.data);
						}
					} else {
						layer.msg(data.msg);
					}
					setTimeout(function(){
						isLoadingData = false;
					}, 1000);
				}, "json", json, false);
			}
		});
	</script>
</body>
</html>