<%@ page language="java" contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %> 
<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8">
	<meta name='viewport' content="width=device-width,initial-scale=1.0,user-scalable=0">
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
	<meta name="renderer" content="webkit" />
	<meta content="yes" name="apple-mobile-web-app-capable">
	<meta content="yes" name="apple-touch-fullscreen">
	<meta name="keywords" content="我的账户" />
	<meta name="description" content="我的账户" />
	<title>我的账户</title>
	<link rel="stylesheet" href="/income/wap/css/base.css">
	<link rel="stylesheet" href="/income/wap/css/main.css">
	<link rel="stylesheet" type="text/css" href="/income/wap/js/plugins/layer/skin/layer.css" />
	<script type="text/javascript" src="/income/wap/js/viewport.js"></script>
</head>
<body>
	<div class="m-box">
		<p class="font-center text-black font-16 margin-top-32">${bonus.company}</p>
		<img class="m-en-img" src="/income/wap/images/nologo.png">
		<p class="font-center text-black font-16 margin-top-22">辛苦了，${bonus.realName }</p>
		<p class="font-center text-gray font-14">因为有你的努力，公司才得以发展</p>
		<hr class="m-space"/>
		<div class="m-details">
			<div class="m-lr-breach-line">
				<a id="toYesterdayBtn" class="m-details-left">
					<label>昨日奖励（元）</label>
					<span><fmt:formatNumber type="number" value="${bonus.yesterday }" pattern="0.00" maxFractionDigits="2"/></span>
				</a>
				<a id="toCurBtn" class="m-details-right">
					<label>当前金额（元）</label>
					<span><fmt:formatNumber type="number" value="${bonus.cur }" pattern="0.00" maxFractionDigits="2"/></span>
				</a>
			</div>
			<div>
				<a id="toWithdrawBtn" class="m-details-left">
					<label>已提现（元）</label>
					<span><fmt:formatNumber type="number" value="${bonus.withdraw }" pattern="0.00" maxFractionDigits="2"/></span>
				</a>
				<a id="toTotalBtn" class="m-details-right">
					<label>累计奖励（元）</label>
					<span><fmt:formatNumber type="number" value="${bonus.total }" pattern="0.00" maxFractionDigits="2"/></span>
				</a>
			</div>
		</div>
		<a id="openBtn" class="m-button m-white-btn">提现</a>
	</div>
	<div id="withdrawBox" class="m-alert-box" style="display: none;">
		<form id="bindForm" action="/income/wap/user/bind" method="post">
		<div class="m-alert-bg"></div>
		<div class="m-alert-pop">
			<p class="font-center text-black font-16">申请提现</p>
			<p class="font-center text-gray font-14">最低需提现100，单次最多提现800</p>
			<input type="text" name="apply_fee" placeholder="请输入提现金额" />
			<hr class="m-space">
			<div>
				<a id="cancelBtn" class="left-btn">取消</a>
				<a id="withdrawBtn" class="right-btn">提现</a>
			</div>
		</div>
		</form>
	</div>
	<script type="text/javascript" src="/income/wap/js/jquery.js"></script>
	<script type="text/javascript" src="/income/wap/js/plugins/layer/layer.js"></script>
	<script type="text/javascript" src="/income/wap/js/verify.js"></script>
	<script type="text/javascript" src="/income/wap/js/JSONSubmit.js"></script>
	<script>
		$(function(){
			var msg = "${msg}";
			if (msg) {
	           layer.msg(msg);
			}
			$("#toWithdrawBtn").click(function(){
				window.location.href="/income/wap/withdraw/list";
			});
			$("#toYesterdayBtn").click(function(){
				window.location.href="/income/wap/trade/list";
			});
			$("#toCurBtn").click(function(){
				window.location.href="/income/wap/trade/list";
			});
			$("#toTotalBtn").click(function(){
				window.location.href="/income/wap/trade/list";
			});
			$("#openBtn").click(function(){
				$("input[name='apply_fee']").val("");
				$("#withdrawBox").show();
			});
			$("#cancelBtn").click(function(){
				$("input[name='apply_fee']").val("");
				$("#withdrawBox").hide();
			});
			$("#withdrawBtn").click(function(){
				var applyFee = $("input[name='apply_fee']").val();
				if(!applyFee) {
					 layer.msg("提现金额不能为空");
					 return;
				}
				if(isNaN(applyFee) || applyFee < 100 || applyFee > 800) {
					layer.msg("提现金额不在允许的范围");
					 return;
				}
				applyFee = Number(applyFee).toFixed(2);
				var url = "/income/wap/user/apply"
				var json = {applyFee : applyFee};
				JSONSubmit(url, function(data){
					if(data.code == 200) {
						$("#withdrawBox").hide();
						window.location.href = "/income/wap/user/account";
						layer.msg("申请提现成功");
					} else {
						layer.msg(data.msg);
					}
				}, "json", json);
			});
		});
	</script>
</body>
</html>