<%@ page language="java" contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8">
	<meta name='viewport' content="width=device-width,initial-scale=1.0,user-scalable=0">
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
	<meta name="renderer" content="webkit" />
	<meta content="yes" name="apple-mobile-web-app-capable">
	<meta content="yes" name="apple-touch-fullscreen">
	<meta name="keywords" content="找回密码" />
	<meta name="description" content="找回密码" />
	<title>找回密码</title>
	<link rel="stylesheet" href="/income/wap/css/base.css">
	<link rel="stylesheet" href="/income/wap/css/main.css">
	<link rel="stylesheet" type="text/css" href="/income/wap/js/plugins/layer/skin/layer.css" />
	<script type="text/javascript" src="/income/wap/js/viewport.js"></script>
</head>
<body>
	<div class="m-box">
		<form id="findPswForm" action="/income/wap/user/findpsw" method="post">
			<p class="m-title">验证并设置新密码</p>
			<div class="m-edit-view m-breach-line">
				<span>手机号</span>
				<input type="text" name="phone" value="${phone }" placeholder="请输入你的手机号" />
			</div>
			<div class="m-edit-view m-space-bottom">
				<span>验证码</span>
				<input class="short-input" type="text" name="verifyCode" placeholder="请输入验证码" />
				<a id="verifyCodeBtn" class="text-blue">获取验证码</a>
			</div>
			<hr class="m-space"/>
			<div class="m-edit-view">
				<span>密码</span>
				<input type="hidden" name="password" />
				<input type="password" name="plain" placeholder="请输入新密码" />
			</div>
			<a id="findPswBtn" class="m-button">确定</a>
		</form>
	</div>
	<script type="text/javascript" src="/income/wap/js/jquery.js"></script>
	<script type="text/javascript" src="/income/wap/js/jQuery.md5.js"></script>
	<script type="text/javascript" src="/income/wap/js/plugins/layer/layer.js"></script>
	<script type="text/javascript" src="/income/wap/js/verify.js"></script>
	<script type="text/javascript" src="/income/wap/js/JSONSubmit.js"></script>
	<script>
		$(function(){
			var msg = "${msg}";
			if (msg) {
	           layer.msg(msg);
			}
			
			$("#verifyCodeBtn").click(function(){
				var $that = $(this);
				if($that.hasClass("text-gray")) {
					return;
				}
				var phone = $("input[name='phone']").val();
				if(!$.verifyPhone(phone)) {
					return;
				}
				var c = 90;
				$that.removeClass("text-blue");
				$that.addClass("text-gray");
				var timer = setInterval(function(){
					c--;
					$that.html(c+"s重新获取");
					if(c == 0) {
						clearInterval(timer);
						$that.removeClass("text-gray");
						$that.addClass("text-blue");
						$that.html("获取验证码");
					}
				},1000);
				var url = "/income/wap/sms/short/code";
				var json = {phone : phone};
				JSONSubmit(url, function(data){
					if(data.code == 200) {
						layer.msg("短信发送成功");
					} else {
						layer.msg(data.msg);
						clearInterval(timer);
						$that.removeClass("text-gray");
						$that.addClass("text-blue");
						$that.html("获取验证码");
					}
				}, "json", json);
			});
			
			$("#findPswBtn").click(function(){
				var phone = $("input[name='phone']").val();
				var verifyCode = $("input[name='verifyCode']").val();
				var password = $("input[name='plain']").val();
				if(!phone) {
					layer.msg("手机号必填");
					return;
				}
				if(!$.verifyPhone(phone)) {
					return;
				}
				if(!$.verifyLength(verifyCode, 4, "验证码不正确")) {
					return;
				}
				if(!password) {
					layer.msg("新密码必填");
					return;
				}
				$("input[name='password']").val($.md5(password));
				$("#findPswForm").submit();
			});
		});
	</script>
</body>
</html>