<%@ page language="java" contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8">
	<meta name='viewport' content="width=device-width,initial-scale=1.0,user-scalable=0">
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
	<meta name="renderer" content="webkit" />
	<meta content="yes" name="apple-mobile-web-app-capable">
	<meta content="yes" name="apple-touch-fullscreen">
	<meta name="keywords" content="身份认证" />
	<meta name="description" content="身份认证" />
	<title>身份认证</title>
	<link rel="stylesheet" href="/income/wap/css/base.css">
	<link rel="stylesheet" href="/income/wap/css/main.css">
	<link rel="stylesheet" type="text/css" href="/income/wap/js/plugins/layer/skin/layer.css" />
	<script type="text/javascript" src="/income/wap/js/viewport.js"></script>
</head>
<body>
	<div class="m-box">
		<form id="identifyForm" action="/income/wap/user/identify" method="post">
			<p class="font-center text-black font-16 margin-top-32">${company}</p>
			<img class="m-en-img" src="/income/wap/images/nologo.png">
			<p class="m-title">证明是我司员工，需填写个人信息</p>
			<div class="m-edit-view m-breach-line">
				<span>真实姓名</span>
				<input type="text" name="realName" value="${realName }" placeholder="请输入您入职时的真实姓名" />
			</div>
			<div class="m-edit-view m-breach-line">
				<span>身份证号</span>
				<input type="text" name="idCard" value="${idCard }" placeholder="请输入您的身份证号" />
			</div>
			<a id="identifyBtn" class="m-button">确定认证</a>
		</form>
	</div>
	<script type="text/javascript" src="/income/wap/js/jquery.js"></script>
	<script type="text/javascript" src="/income/wap/js/plugins/layer/layer.js"></script>
	<script type="text/javascript" src="/income/wap/js/verify.js"></script>
	<script type="text/javascript" src="/income/wap/js/JSONSubmit.js"></script>
	<script>
		$(function(){
			var msg = "${msg}";
			if (msg) {
	           layer.msg(msg);
			}
			
			$("#identifyBtn").click(function(){
				var realName = $("input[name='realName']").val();
				var idCard = $("input[name='idCard']").val();
				if(!$.verifyRealName(realName)) {
					return;
				}
				if(!$.verifyNotBlank(idCard, "身份证号码不能为空")) {
					return;
				}
				$("#identifyForm").submit();
			});
		});
	</script>
</body>
</html>