/**
 * 校验工具类
 */
(function($) {
	$.verifyPhone = function(val) {
		var pattern = /^(0|86|17951)?(13[0-9]|15[012356789]|17[678]|18[0-9]|14[57])[0-9]{8}$/;
		return verifyByPattern(val, pattern, '请输入正确的手机号');
	};
	$.verifyEquals = function (val1, val2, message) {
		return verifyEquals(val1, val2, message);
	}
	$.verifyLength = function (val, lenth, msg) {
		return verifyByLength(val, lenth, msg);
	};
	$.verifyNotBlank = function (val, message) {
		return verifyNotBlank(val, message);
	}
	$.verifyRealName = function (val) {
		var pattern = /^[\u4e00-\u9fa5]{2,8}$/;
		return verifyByPattern(val, pattern, '请输入姓名，2-8个汉字');
	};
	/*私有函数*/
	// 根据正则校验
    function verifyByPattern(val, pattern, message) {
    	var ret = pattern.test($.trim(val));
    	show(ret, message);
    	return ret;
	};
	// 校验指定长度
	function verifyByLength(val, length, message) {
		var val = $.trim(val);
		var ret = val.length == length;
		show(ret, message);
		return ret;
		
	};
	// 校验不为空
	function verifyNotBlank(val, message) {
		var val = $.trim(val);
		var ret = val.length > 0;
		show(ret, message);
		return ret;
	}
	// 校验相等
	function verifyEquals(val1, val2, message) {
		var ret = $.trim(val1) == $.trim(val2);
		show(ret, message);
		return ret;
	}
	// 显示错误信息
	function show(ret, message) {
		if (!ret) layer.msg(message);
	};
})(jQuery);