package com.shanpin.sales.logic.module.config;

import java.util.concurrent.atomic.AtomicReference;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import com.shanpin.core.utils.DecimalUtil;

@Service
public class ConfigService {

	private static Logger log = LoggerFactory.getLogger(ConfigService.class);
	
	public static final AtomicReference<Float> RATIO = new AtomicReference<Float>(0.01F);
	
	void setRatio(Float ratio) {
		float preRatio = RATIO.get();
		RATIO.set(ratio);
		log.warn("preRatio={}  currRatio={}", preRatio, RATIO.get());
	}
	
	/**
	 * 计算收入
	 * @param total_fee
	 * @return
	 */
	public static float calculateIncome(float total_fee) {
		return (float) DecimalUtil.mul(total_fee, RATIO.get());
	}
}
